
Redmine - Defect #15552

Preferences are not preserved after adding user with validation error

2013-11-27 00:40 - Maxim Krušina

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Accounts / authentication Estimated time: 0.00 hour

Target version: 2.5.0   

Resolution: Fixed Affected version: 2.3.3

Description

When Adding new user and doing something wrong, resulting in refresh of page with validation alert box, not all form elements are

set to their state as originaly entered.

Specifically:

I don't want to be notified of changes that I make myself - wasnt checked, but should

Timezone - wasnt set to original value

Associated revisions

Revision 12350 - 2013-11-29 22:43 - Jean-Philippe Lang

Fixed that preferences are not preserved when adding a user fails (#15552).

History

#1 - 2013-11-29 00:53 - Jean-Philippe Lang

- Status changed from New to Confirmed

- Target version set to 2.5.0

#2 - 2013-11-29 22:43 - Jean-Philippe Lang

- Subject changed from Not all fields are set again after adding user with validation error to Preferences are not preserved after adding user with

validation error

- Status changed from Confirmed to Closed

- Assignee set to Jean-Philippe Lang

- Resolution set to Fixed

Fixed in r12350, thanks for pointing this out.
